## CamelIMAPXStore CamelIMAPXStore |

## Functions

CamelIMAPXConnManager * | camel_imapx_store_get_conn_manager ()
void | camel_imapx_store_set_connecting_server ()
gboolean | camel_imapx_store_is_connecting_concurrent_connection ()
CamelIMAPXNamespaceResponse * | camel_imapx_store_ref_namespaces ()
void | camel_imapx_store_set_namespaces ()
CamelIMAPXMailbox * | camel_imapx_store_ref_mailbox ()
GList * | camel_imapx_store_list_mailboxes ()
void | camel_imapx_store_emit_mailbox_updated ()
void | camel_imapx_store_handle_mailbox_rename ()
void | camel_imapx_store_handle_list_response ()
void | camel_imapx_store_handle_lsub_response ()
CamelFolderQuotaInfo * | camel_imapx_store_dup_quota_info ()
void | camel_imapx_store_set_quota_info ()
void | camel_imapx_store_dump_queue_status ()

## Properties

CamelIMAPXConnManager * | conn-manager | Read

## Signals

void | mailbox-created | Run First
void | mailbox-renamed | Run First
void | mailbox-updated | Run First

## Object Hierarchy

        GObject
        ╰── CamelObject
            ╰── CamelService
                ╰── CamelStore
                    ╰── CamelOfflineStore
                        ╰── CamelIMAPXStore

## Description

## Functions

### camel_imapx_store_get_conn_manager ()

    CamelIMAPXConnManager *
    camel_imapx_store_get_conn_manager (CamelIMAPXStore *store);

### camel_imapx_store_set_connecting_server ()

    void
    camel_imapx_store_set_connecting_server
                                   (CamelIMAPXStore *store,
                                    CamelIMAPXServer *server,
                                    gboolean is_concurrent_connection);

### camel_imapx_store_is_connecting_concurrent_connection ()

    gboolean
    camel_imapx_store_is_connecting_concurrent_connection
                                   (CamelIMAPXStore *imapx_store);

### camel_imapx_store_ref_namespaces ()

    CamelIMAPXNamespaceResponse *
    camel_imapx_store_ref_namespaces (CamelIMAPXStore *imapx_store);

Returns the CamelIMAPXNamespaceResponse for `is` . This is obtained during the connection phase if the IMAP server lists the "NAMESPACE" keyword in its CAPABILITY response, or else is fabricated from the first LIST response.

The returned CamelIMAPXNamespaceResponse is reference for thread-safety and must be unreferenced with `g_object_unref()` when finished with it.

#### Parameters

imapx_store | a CamelIMAPXStore |

#### Returns

a CamelIMAPXNamespaceResponse

Since: 3.16

### camel_imapx_store_set_namespaces ()

    void
    camel_imapx_store_set_namespaces (CamelIMAPXStore *imapx_store,
                                      CamelIMAPXNamespaceResponse *namespaces);

### camel_imapx_store_ref_mailbox ()

    CamelIMAPXMailbox *
    camel_imapx_store_ref_mailbox (CamelIMAPXStore *imapx_store,
                                   const gchar *mailbox_name);

Looks up a CamelMailbox by its name. If no match is found, the function returns `NULL`.

The returned CamelIMAPXMailbox is referenced for thread-safety and should be unreferenced with `g_object_unref()` when finished with it.

#### Parameters

imapx_store | a CamelIMAPXStore |
mailbox_name | a mailbox name |

#### Returns

a CamelIMAPXMailbox, or `NULL`

Since: 3.16

### camel_imapx_store_list_mailboxes ()

    GList *
    camel_imapx_store_list_mailboxes (CamelIMAPXStore *imapx_store,
                                      CamelIMAPXNamespace *namespace_,
                                      const gchar *pattern);

Returns a list of CamelIMAPXMailbox instances which match `namespace` and `pattern` . The `pattern` may contain wildcard characters '*' and '%', which are interpreted similar to the IMAP LIST command. A `NULL` `pattern` lists all mailboxes in `namespace` ; equivalent to passing "*".

The mailboxes returned in the list are referenced for thread-safety. They must each be unreferenced with `g_object_unref()` when finished with them. Free the returned list itself with `g_list_free()`.

An easy way to free the list properly in one step is as follows:

    1
    g_list_free_full (list, g_object_unref);

#### Parameters

imapx_store | a CamelIMAPXStore |
namespace_ | a CamelIMAPXNamespace |
pattern | mailbox name with possible wildcards, or `NULL` |

#### Returns

a list of CamelIMAPXMailbox instances

Since: 3.16

### camel_imapx_store_emit_mailbox_updated ()

    void
    camel_imapx_store_emit_mailbox_updated
                                   (CamelIMAPXStore *imapx_store,
                                    CamelIMAPXMailbox *mailbox);

### camel_imapx_store_handle_mailbox_rename ()

    void
    camel_imapx_store_handle_mailbox_rename
                                   (CamelIMAPXStore *imapx_store,
                                    CamelIMAPXMailbox *old_mailbox,
                                    const gchar *new_mailbox_name);

### camel_imapx_store_handle_list_response ()

    void
    camel_imapx_store_handle_list_response
                                   (CamelIMAPXStore *imapx_store,
                                    CamelIMAPXServer *imapx_server,
                                    CamelIMAPXListResponse *response);

### camel_imapx_store_handle_lsub_response ()

    void
    camel_imapx_store_handle_lsub_response
                                   (CamelIMAPXStore *imapx_store,
                                    CamelIMAPXServer *imapx_server,
                                    CamelIMAPXListResponse *response);

### camel_imapx_store_dup_quota_info ()

    CamelFolderQuotaInfo *
    camel_imapx_store_dup_quota_info (CamelIMAPXStore *store,
                                      const gchar *quota_root_name);

### camel_imapx_store_set_quota_info ()

    void
    camel_imapx_store_set_quota_info (CamelIMAPXStore *store,
                                      const gchar *quota_root_name,
                                      const CamelFolderQuotaInfo *info);

### camel_imapx_store_dump_queue_status ()

    void
    camel_imapx_store_dump_queue_status (CamelIMAPXStore *imapx_store);

## Types and Values

## Property Details

### The `“conn-manager”` property

      “conn-manager”             CamelIMAPXConnManager *

The Connection Manager being used for remote operations.

Flags: Read

## Signal Details

### The `“mailbox-created”` signal

    void
    user_function (CamelIMAPXStore   *camelimapxstore,
                   CamelIMAPXMailbox *arg1,
                   gpointer           user_data)

Flags: Run First

### The `“mailbox-renamed”` signal

    void
    user_function (CamelIMAPXStore   *camelimapxstore,
                   CamelIMAPXMailbox *arg1,
                   gchar             *arg2,
                   gpointer           user_data)

Flags: Run First

### The `“mailbox-updated”` signal

    void
    user_function (CamelIMAPXStore   *camelimapxstore,
                   CamelIMAPXMailbox *arg1,
                   gpointer           user_data)

Flags: Run First